### Method

# Phosh DBusDisplayConfig complete_get_resources

#### Declaration [src]

    void
    phosh_dbus_display_config_complete_get_resources (
      PhoshDBusDisplayConfig* object,
      GDBusMethodInvocation* invocation,
      guint serial,
      GVariant* crtcs,
      GVariant* outputs,
      GVariant* modes,
      gint max_screen_width,
      gint max_screen_height
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the GetResources() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`serial`

  Type: `guint`

  Parameter to return.

`crtcs`

  Type: `GVariant`

  Parameter to return.

  The data is owned by the caller of the method.

`outputs`

  Type: `GVariant`

  Parameter to return.

  The data is owned by the caller of the method.

`modes`

  Type: `GVariant`

  Parameter to return.

  The data is owned by the caller of the method.

`max_screen_width`

  Type: `gint`

  Parameter to return.

`max_screen_height`

  Type: `gint`

  Parameter to return.